summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-plasma/xembed-sni-proxy')
-rw-r--r--kde-plasma/xembed-sni-proxy/Manifest1
-rw-r--r--kde-plasma/xembed-sni-proxy/files/xembed-sni-proxy-5.14.2-standalone.patch59
-rw-r--r--kde-plasma/xembed-sni-proxy/metadata.xml8
-rw-r--r--kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild45
4 files changed, 107 insertions, 6 deletions
diff --git a/kde-plasma/xembed-sni-proxy/Manifest b/kde-plasma/xembed-sni-proxy/Manifest
index 7fab7d60fdeb..d15d49c169c0 100644
--- a/kde-plasma/xembed-sni-proxy/Manifest
+++ b/kde-plasma/xembed-sni-proxy/Manifest
@@ -1 +1,2 @@
DIST plasma-workspace-5.12.0.tar.xz 4571240 BLAKE2B 817d227cee4e1c4a47fd0c948534d24dec77eb71e9f09ec8a9b226264678d86682234431102133e02342cf61627f981d24289fa9b210da20ff475b2775edcb53 SHA512 9bcdca74cbcff539f4431b8f888143ff278ed79c5b24033c0f81124a4e2eb5538eec959d5ad9e52aa553f2803634ff189957358d83d78a3d76122699a8add6ce
+DIST plasma-workspace-5.14.2.tar.xz 4568588 BLAKE2B a1079f1a874aadc1c989f5a2bfbd7b94872bd66ab8304a63ace5c21f4e983e3956bf8ddc6db1a81945a138a26a4adb10f172272eaead92e0879d04141845baa3 SHA512 8bbb8604816ae61f4af9df8a130810fef8c0050f5a847153b787afadc330eee211dc3d66a4576cc20d45a22eb5e1f845b463f91985359400c1c9c1889ef4e676
diff --git a/kde-plasma/xembed-sni-proxy/files/xembed-sni-proxy-5.14.2-standalone.patch b/kde-plasma/xembed-sni-proxy/files/xembed-sni-proxy-5.14.2-standalone.patch
new file mode 100644
index 000000000000..ddbf13d55d8f
--- /dev/null
+++ b/kde-plasma/xembed-sni-proxy/files/xembed-sni-proxy-5.14.2-standalone.patch
@@ -0,0 +1,59 @@
+From 42008129f1659bc34c454ce14632fd279679f556 Mon Sep 17 00:00:00 2001
+From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
+Date: Mon, 22 Oct 2018 21:44:33 +0200
+Subject: [PATCH] xembed-sni-proxy: Allow standalone build
+
+---
+ CMakeLists.txt | 35 +++++++++++++++++++++++++++++++++
+ 1 file changed, 35 insertions(+)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index c2f67ac6..30b2c1b5 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1,3 +1,34 @@
++project(xembed-sni-proxy)
++
++if(${CMAKE_SOURCE_DIR} STREQUAL ${xembed-sni-proxy_SOURCE_DIR})
++ set(PROJECT_VERSION "GENTOO_PV")
++ set(PROJECT_VERSION_MAJOR 5)
++
++ cmake_minimum_required(VERSION 3.0)
++
++ set(QT_MIN_VERSION "GENTOO_QT_MINIMAL")
++ set(KF5_MIN_VERSION "GENTOO_KF5_MINIMAL")
++ find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus X11Extras)
++ find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
++ set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
++
++ include(KDEInstallDirs)
++ include(KDECMakeSettings)
++ include(KDECompilerSettings NO_POLICY_SCOPE)
++ include(FeatureSummary)
++ include(ECMQtDeclareLoggingCategory)
++
++ find_package(KF5WindowSystem ${KF5_MIN_VERSION} REQUIRED)
++ find_package(X11 REQUIRED)
++ find_package(XCB MODULE REQUIRED COMPONENTS XCB RANDR)
++ set_package_properties(XCB PROPERTIES TYPE REQUIRED)
++
++ configure_file(../config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
++else()
++ set(PROJECT_VERSION "5.14.1")
++ set(PROJECT_VERSION_MAJOR 5)
++endif()
++
+ add_definitions(-DQT_NO_CAST_TO_ASCII
+ -DQT_NO_CAST_FROM_ASCII
+ -DQT_NO_URL_CAST_FROM_STRING
+@@ -64,3 +95,7 @@ target_link_libraries(xembedsniproxy
+ install(TARGETS xembedsniproxy ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+ install(FILES xembedsniproxy.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
+
++if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
++ feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
++endif()
++
+--
+2.19.1
+
diff --git a/kde-plasma/xembed-sni-proxy/metadata.xml b/kde-plasma/xembed-sni-proxy/metadata.xml
index 3554bdb770b5..2fdbf33d963d 100644
--- a/kde-plasma/xembed-sni-proxy/metadata.xml
+++ b/kde-plasma/xembed-sni-proxy/metadata.xml
@@ -1,12 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>hilobakho@gmail.com</email>
- <name>Mykyta Holubakha</name>
- </maintainer>
<maintainer type="project">
- <email>proxy-maint@gentoo.org</email>
- <name>Gentoo Proxy Maintainers Project</name>
+ <email>kde@gentoo.org</email>
+ <name>Gentoo KDE Project</name>
</maintainer>
</pkgmetadata>
diff --git a/kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild b/kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild
new file mode 100644
index 000000000000..74322bcb6432
--- /dev/null
+++ b/kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+FRAMEWORKS_MINIMAL="5.50.0"
+QT_MINIMAL="5.9.6"
+KDE_AUTODEPS="false"
+KMNAME="plasma-workspace"
+inherit kde5
+
+DESCRIPTION="Legacy xembed tray icons support for SNI-only system trays"
+HOMEPAGE="https://cgit.kde.org/plasma-workspace.git/tree/xembed-sni-proxy/Readme.md"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~x86"
+
+DEPEND="
+ $(add_frameworks_dep extra-cmake-modules)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_qt_dep qtcore)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtx11extras)
+ x11-libs/libxcb
+ x11-libs/libXtst
+ x11-libs/xcb-util-image
+"
+RDEPEND="${DEPEND}
+ !<kde-plasma/plasma-workspace-5.14.2:5
+ !kde-plasma/xembed-sni-proxy:0
+"
+
+S="${S}/${PN}"
+
+PATCHES=( "${FILESDIR}/${PN}-5.14.2-standalone.patch" )
+
+src_prepare() {
+ kde5_src_prepare
+
+ sed -e "/set/s/GENTOO_PV/${PV}/" \
+ -e "/set/s/GENTOO_QT_MINIMAL/${QT_MINIMAL}/" \
+ -e "/set/s/GENTOO_KF5_MINIMAL/${FRAMEWORKS_MINIMAL}/" \
+ -i CMakeLists.txt || die "Failed to prepare CMakeLists.txt"
+}